<?
require_once '../core/system.php';
echo only_reg();

if($user['clan_id'] != 0) {
    header("Location: /clan/clan.php?id=$user[clan_id]");
    exit();
}

$error = NULL;
if(isset($_POST['submit'])) {
    if($user['level'] < 10) $error = 'Вы еще не достигли 10 уровня!';
if($user['gold'] < 5000) $error = 'Нужно 5000 золота для создания клана!';
    $name = mysql_real_escape_string($_POST['name']);
    if((mb_strlen($_POST['name'], 'UTF-8') < 4) || mb_strlen($_POST['name'] > 16)) $error = 'Название клана должно быть от 4 до 16 символов';
    $cl = mysql_fetch_assoc(mysql_query("SELECT COUNT(`id`) AS `c` FROM `clans` WHERE `name` = '$name'"));
    if($cl['c'] > 0) $error = 'Клан с таким именем уже есть';
    if(!$error) {
        mysql_query("INSERT INTO `clans` SET `name` = '$name', `storona` = '".$user['storona']."',`owner` = '".$user['id']."'");
mysql_query("UPDATE `user` SET `clan_prava` = '4', `clan_id` = '".mysql_insert_id()."', gold = gold - 1000 WHERE `id` = '".$user['id']."'");
        header("Location: /clan/index.php");
        exit();
    } 
}

$header = 'Создание клана';
require_once '../core/head.php';
echo '<div class="player">
Стоимость создания: <img src="/images/icon/gold.png">5000 золота
</div>';

if($error) {
    echo '<div class="player" style="color: red">
    '.$error.'
    </div>';
}

echo '<div class="player">
<form action="" method="POST">
Введите название клана:<br />
<input class="text large" type="text" name="name" /><br />
<span class="btn"><span class="end">
<input class="label" name="submit" type="submit" value="Создать">
</span></span>
</form>
</div>';

include '../core/foot.php';